package cn.ibizlab.core.sample.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.sample.domain.IBIZTASKTEAM;
/**
 * 关系型数据实体[IBIZTASKTEAM] 查询条件对象
 */
@Slf4j
@Data
public class IBIZTASKTEAMSearchContext extends QueryWrapperContext<IBIZTASKTEAM> {

	private String n_ibiztaskteamname_like;//[任务团队名称]
	public void setN_ibiztaskteamname_like(String n_ibiztaskteamname_like) {
        this.n_ibiztaskteamname_like = n_ibiztaskteamname_like;
        if(!ObjectUtils.isEmpty(this.n_ibiztaskteamname_like)){
            this.getSearchCond().like("ibiztaskteamname", n_ibiztaskteamname_like);
        }
    }
	private String n_root_eq;//[任务标识]
	public void setN_root_eq(String n_root_eq) {
        this.n_root_eq = n_root_eq;
        if(!ObjectUtils.isEmpty(this.n_root_eq)){
            this.getSearchCond().eq("root", n_root_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ibiztaskteamname", query)
            );
		 }
	}
}



